function [chi_square]=get_chi_square(data)
%get the chi-square values of pairwise genes 
y=unique(data(:,1));
m=length(y);
n=size(data,2)-1;
for r=1:m
    class_num(r)=size(find(data(:,1)==y(r)),1);
end
chi_square=zeros(n,n);
for i=1:n-1
    for j=i+1:n
       tabel_rx2=zeros(m+1,3);
       for r=1:m  
        data_ij=data(data(:,1)==y(r),[i+1 j+1]);
        greater=size(find(data_ij(:,1)>data_ij(:,2)),1);
        equal=size(find(data_ij(:,1)==data_ij(:,2)),1);
        tabel_rx2(r,1)=greater+equal*0.5;
        tabel_rx2(r,2)=class_num(r)-tabel_rx2(r,1);
       end
        tabel_rx2(m+1,:)=sum(tabel_rx2,1);
        tabel_rx2(:,3)=sum(tabel_rx2,2);       
       for r=1:m
           for c=1:2
              chi_square(i,j)=chi_square(i,j)+tabel_rx2(r,c)^2/(tabel_rx2(r,3)*tabel_rx2(m+1,c));
           end
       end
       chi_square(i,j)=(chi_square(i,j)-1)*tabel_rx2(m+1,3); 
       if isnan(chi_square(i,j))
           chi_square(i,j)=0;
       end       
    end
end
end